Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Class DropEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.event.DropEvent

All Implemented Interfaces:
  Serializable

    public class DropEvent

extends javax.faces.event.FacesEvent

Author:
  abelevich
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DropEvent(javax.faces.component.UIComponent dropTarget, Object dropValue, javax.faces.component.UIComponent dragSource, Object dragValue)`

Method Summary
`javax.faces.component.UIComponent` | `getDragSource()`
`Object` | `getDragValue()`
`javax.faces.component.UIComponent` | `getDropTarget()`
`Object` | `getDropValue()`
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropEvent

    public DropEvent(javax.faces.component.UIComponent dropTarget,
                     Object dropValue,
                     javax.faces.component.UIComponent dragSource,
                     Object dragValue)

Method Detail

### getDragSource

    public javax.faces.component.UIComponent getDragSource()

### getDropTarget

    public javax.faces.component.UIComponent getDropTarget()

### getDropValue

    public Object getDropValue()

### getDragValue

    public Object getDragValue()

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.